# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubygems' if RUBY_VERSION < '1.9'
require 'rest-client'
require 'json'
require 'digest'
require "retries"
require 'nicepay/api'
require 'nicepay/version'

Gem::Specification.new do |spec|
  spec.name          = "nicepay"
  spec.version       = Nicepay::VERSION
  spec.authors       = ["Arif Budiman"]
  spec.email         = ["arif.budiman@nicepay.co.id"]
  spec.required_ruby_version = '>= 1.9.3'
  spec.summary       = 'Nicepay Ruby Bindings'
  spec.description   = 'Nicepay Indonesia'
  spec.homepage      = "http://nicepay.co.id"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  # dependencies
  spec.add_dependency('rest-client', '~> 1.4')
  spec.add_dependency('json', '~> 1.8.3')
  spec.add_dependency('retries', '~> 0.0.5')
  spec.add_dependency 'rubygems' if RUBY_VERSION < '1.9'

end
